cannot build project with xcode 8 beta 6

2 Solutions Collect From Internet About “cannot build project with xcode 8 beta 6”

From what I learned, looks like you can’t have libraries written in different versions of Swift.

In my Obj-C project I had 2 libs installed with CocoaPods
I updated the first one using the swift3 branch on github, and I converted the second one with Xcode.

Everything is building properly now!

This is happening as you’ve included another library (via cocoa pods or by linking the library directly etc…) which is compiled (or being compiled) in swift 2.

I’ve seen this a lot with Cocoapods (and Carthage)